Opened 7 years ago

Closed 7 years ago

#3586 closed task (fixed)

e2fsprogs-1.42.10

Reported by: Frans de Boer Owned by: lfs-book@…
Priority: normal Milestone: 7.6
Component: Book Version: SVN
Severity: normal Keywords: e2fsprogs
Cc:

Description

It is possible to compile and conclude the tests successfully after util-linux has been compiled. The current position before coreutils results in:


Test case imap_err succeeded Test case simple succeeded make[1]: Leaving directory '/sources-lfs/e2fsprogs-1.42.10/build/lib/et' making check in lib/ss make[1]: Entering directory '/sources-lfs/e2fsprogs-1.42.10/build/lib/ss'

CC ../../../lib/ss/test_ss.c MK_CMDS test_cmd.c CC test_cmd.c LD test_ss RUN TEST test_ss

Regression test for ss library failed! Makefile:552: recipe for target 'check' failed


I did not tested it for possible consequences beyond LFS.

Change History (10)

comment:1 by Frans de Boer, 7 years ago

After close inspection, I found that 1 test "f_quota" did not passes. So I added the switch "--disable-quota" to the configure line. Alas, that did not work - unlike other tests, the f_quota test is not skipped when setting the above option. So I deleted the whole directory "./tests/f_quota" instead to skip the test.

After that, no more failures where found and all installed as it should be.

comment:2 by bdubbs@…, 7 years ago

It looks like we need this:

diff --git a/tests/f_quota/script b/tests/f_quota/script
index bf25e07..d1c4b9e 100644
--- a/tests/f_quota/script
+++ b/tests/f_quota/script
@@ -1,4 +1,11 @@
 AFTER_CMD='$DEBUGFS -f $test_dir/debugfs-cmds $TMPFILE 2>&1 | sed -f $cmd_dir/filter.sed > $test_name.0.log'
 PASS_ZERO=true
 
+$TUNE2FS -h 2>&1 | grep -q quota_options
+if [ $? != 0 ] ; then
+        rm -f $TMPFILE
+        echo "$test_name: $test_description: skipped (quota not enabled)"
+        return 0
+fi
+
 . $cmd_dir/run_e2fsck

comment:3 by Frans de Boer, 7 years ago

@Bruce, your solution works, albeit the general solution would be:

if [ "$QUOTA" != "y" ]; then

echo "$test_name: $test_description: skipped" return 0

fi

The above is taken from the other test scripts where aspects of the quota system are tested. The original maintainers seem to have forgotten to include this test in the f_quota script.

comment:4 by bdubbs@…, 7 years ago

I got the patch from upstream.

comment:5 by bdubbs@…, 7 years ago

Summary: E2fsprogs-1.42.10e2fsprogs-1.42.10

comment:6 by bdubbs@…, 7 years ago

Resolution: fixed
Status: newclosed

Fixed at revision 10571.

comment:7 by Frans de Boer, 7 years ago

Resolution: fixed
Status: closedreopened

The original reported error during 'make check' still exist and the solution is still to compile efs2progs after util-linux.

By doing so avoids the need of using set +e....set -e around the make check command and allows for capturing errors (now and in the future) while running the tests.

Is there a compelling reason not to reposition ef2progs?

Frans.

comment:8 by bdubbs@…, 7 years ago

Compelling? Probably not. My logs show

   CC ../../../lib/ss/test_ss.c
   MK_CMDS test_cmd.c
   CC test_cmd.c
   LD test_ss
   RUN TEST test_ss
Regression test for ss library failed!

What in the above uses util-linux? I would like to know what is happening between e2fsprogs and util-linux (which is in Chapter 5) causes a problem with the test.

I'd prefer to change the test rather than move the package for one regression test.

comment:9 by Frans de Boer, 7 years ago

I just ran e2fsprogs after each test, only to find that it worked well after util-linux was installed. So, something must be using a product util-linux is suppling.

Of course, if the actual test can be altered without great exercise, that's also a solution.

However, I have not found - maybe overlooked? - a single test which was skipped because e2fsprogs was not installed. Since the book stresses that the order of compilation is carefully determined and you basically indicate that this is not always the case, why not relocate.

Of course, it would be nice to know what the difference is between the chapter 5 and chapter 6 compilations.

Frans.

comment:10 by bdubbs@…, 7 years ago

Resolution: fixed
Status: reopenedclosed

Fixed the test suite by temporarily copying libblkid.so.1 to /lib before the tests and removing it after the tests. All tests pass.

Fixed at revision 10574.

Note: See TracTickets for help on using tickets.